/*
The contents of this file are subject to the Mozilla Public
License Version 1.1 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of
the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS
IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
implied. See the License for the specific language governing
rights and limitations under the License.

Alternatively, the contents of this file may be used under the
terms of the GNU General Public License Version 2 or later (the
"GPL"), in which case the provisions of the GPL are applicable 
instead of those above. 

Copyright (C) 2003
Vasa Maximov
mcv@mozdev.org
vmaximov@strana.ru
*/

var EntryId;
var EntryTitle;
var EntryURL;
var EntryMethod;
var EntryDesc;
var item;

function loader(){
	EntryId     = window.arguments[0];
	EntryTitle  = document.getElementById('add_title');
	EntryURL    = document.getElementById('add_URL');
	EntryMethod = document.getElementById('add_method');
	EntryDesc   = document.getElementById('add_desc');
	item        = window.opener.top.EntryHash._Item(EntryId);
	
	EntryTitle.value = item.Title;
	EntryURL.value = item.URL;
	document.getElementById('add_method').selectedItem = document.getElementById(item.Method);
	EntryDesc.value = item.Desc;
	//window.sizeToContent();
}

function onOk(){
  if ((!EntryTitle.value) || (!EntryURL.value)){
    alert("Fields Title and URL should be filled")
    return;
  }
  var Status = "";
  try{
    Status = window.opener.top.EntryHash._Item(EntryId).Context;
  }catch(er){}
  window.opener.top.EntryHash._Add(
  	EntryId,
  	EntryTitle.value,
  	EntryURL.value,
  	EntryMethod.value,
  	EntryDesc.value,
  	Status)
	window.close();
}

