/*
The contents of this file are subject to the Mozilla Public
License Version 1.1 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of
the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS
IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
implied. See the License for the specific language governing
rights and limitations under the License.

Alternatively, the contents of this file may be used under the
terms of the GNU General Public License Version 2 or later (the
"GPL"), in which case the provisions of the GPL are applicable 
instead of those above. 

Copyright (C) 2003
Vasa Maximov
mcv@mozdev.org
vmaximov@strana.ru
*/

var Prefs         = Components.classes["@mozilla.org/preferences-service;1"].
										getService(Components.interfaces.nsIPrefService).getBranch("conquery.");
var prfs          = Prefs.getChildList("temp.", {value: 0});
var POSTURL       = ReadPref("temp.POSTURL");
var PageSelection = decodeURI(ReadPref("temp.PageSelection"));
var PageURL       = ReadPref("temp.PageURL");
var PageHost      = ReadPref("temp.PageHost");
var ForcePrompt   = false;
var PromptPref    = "";
var Query         = [];
var FormInps      = new Object;
var FormAction    = "";
Prefs.deleteBranch("temp.");

try{
  if (POSTURL.search(/?/i)==-1){
    FormAction = POSTURL;
    FormAction = ProcessUserVars(POSTURL);
    FormIt();
  } else {
    var PlainParams = POSTURL.split("?");
    FormAction = PlainParams[0];
    if (PlainParams[PlainParams.length - 1].search(/&/i)!=-1){delim = "&"}
      else if (PlainParams[PlainParams.length - 1].search(/;/i)!=-1){delim = ";"}
      else {delim = ""}
    if (!delim){
      Query[0] = PlainParams[PlainParams.length - 1];
    }else{
      Query = PlainParams[PlainParams.length - 1].split(delim);
    }
    for (each in Query){
      if (Query[each].search(/=/)!=-1){
        tmpInmps = Query[each].split("=");
        FormInps[tmpInmps[0]] = tmpInmps[1];
      }
    }
  FormIt();
  }
}catch(er){alert("Can't parse URL \n" + uri + er)}

function FormIt(){
  var form = document.createElementNS("http://www.w3.org/1999/xhtml", "form");
  form.setAttribute("id", "cq-postform");
  form.setAttribute("action", FormAction);
  form.setAttribute("method", "POST");
  document.documentElement.appendChild(form);

  for(each in FormInps){
    FormInps[each] = ProcessUserVars(FormInps[each]);
    var Inp = document.createElementNS("http://www.w3.org/1999/xhtml", "input");
    Inp.setAttribute("type", "hidden");
    Inp.setAttribute("name", each);
    Inp.value = FormInps[each];
    form.appendChild(Inp);
  }
form.submit();
}

function ProcessUserVars(uservar){
  var prmpt = "";
  if ((uservar.search(/\[:selection\]/i)!=-1) && (!PageSelection)) {
  	prmpt = prompt("No selected text found!\n Input text to pass to URL:", "");
    PageSelection = prmpt;
    }
  uservar = uservar.replace(/\[:selection\]/gi, PageSelection);
  uservar = uservar.replace(/\[:url\]/gi, PageURL);
  uservar = uservar.replace(/\[:host\]/gi, PageHost);
  if (uservar.search(/\[:prompt\]/gi)!=-1){
  	prmpt = prompt("Input text to pass to URL", "");
  	uservar = uservar.replace(/\[:prompt\]/gi, prmpt);
  }
 return uservar;
}

function ReadPref(name){
	if (Prefs.prefHasUserValue(name)) {
		return Prefs.getCharPref(name);
	} else {
		return "";
	}
}